Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2004-2362

Overview

Vulnerability Score 5.0 5.0
CVE Id CVE-2004-2362
Last Modified 05 Sep 2008 04:43:55
Published 31 Dec 2004 12:00:00
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact NONE NONE
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2004-2362

Summary

PHPX 3.2.6 and earlier allows remote attackers to obtain the physical path of PHPX via a null or invalid value in the limit parameter, which leaks the pathname in a database error message, as demonstrated using forums.php.

Vulnerable Systems

Application

  • Phpx 1.0.10

  • Phpx 1.0.14

  • Phpx 1.0.7

  • Phpx 2.1.0

  • Phpx 2.2.0

  • Phpx 2.2.1

  • Phpx 2.2.3

  • Phpx 2.2.4

  • Phpx 3.0.0

  • Phpx 3.0.1

  • Phpx 3.0.2

  • Phpx 3.0.3

  • Phpx 3.0.4

  • Phpx 3.0.5

  • Phpx 3.0.6

  • Phpx 3.0.7

  • Phpx 3.1.0

  • Phpx 3.1.1

  • Phpx 3.1.2

  • Phpx 3.1.3

  • Phpx 3.1.4

  • Phpx 3.2.0

  • Phpx 3.2.1

  • Phpx 3.2.2

  • Phpx 3.2.3

  • Phpx 3.2.4

  • Phpx 3.2.5

  • Phpx 3.2.6


References

XF - phpx-limit-path-disclosure(16064)

MISC - http://www.phpx.org/project.php?action=view&project_id=1

BUGTRAQ - 20040504 Vulnerabilities In PHPX 3.26 And Earlier

OSVDB - 5906

SECTRACK - 1010061

SECUNIA - 11554


Last Updated: 27 May 2016 10:39:26